#include "functions.h"

#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <math.h>
#include <util/delay.h>


#include "uart.h"

void spi_init(void)
{
    // Aktivieren der Pins fr das SPI Interface
    DDR_SPI  |= (1<<P_SCK)|(1<<P_MOSI)|(1<<P_SS);
   // PORT_SPI &= ~((1<<P_SCK)|(1<<P_MOSI)|(1<<P_MISO));
   
    DDR_CS   |= (1<<P_CS);
    PORT_CS  |= (1<<P_CS);
   
    // Aktivieren des SPI Master Interfaces
    SPCR = (1<<SPE)|(1<<MSTR);//|(1<<SPR1)|(1<<SPR0);
    //SPSR = (1<<SPI2X);
}


uint8_t spi_putc( uint8_t data )
{
    // Sendet ein Byte
    SPDR = data;
    // Wartet bis Byte gesendet wurde
    while( !( SPSR & (1<<SPIF) ) ){;}
	// Daten ausgeben
    return SPDR;
}

uint8_t read_register(uint8_t address)
{
    uint8_t data;
   	int x=0;
    // /CS auf Low ziehen
    PORT_CS &= ~(1<<P_CS);
  _delay_us(2.5);
    data=spi_putc(address);
 _delay_us(2.5); 
    data=spi_putc(address); 

    // /CS Leitung wieder freigeben
  _delay_us(2.5);
    PORT_CS |= (1<<P_CS);
   // Daten ausgeben
    return data;
}
